mui.init({
	statusBarBackground: '#3598db',
	 pullRefresh : {
	    container:'#list',//待刷新区域标识，querySelector能定位的css选择器均可，比如：id、.class等
	    up : {
	      height:50,//可选.默认50.触发上拉加载拖动距离
	      auto:false,//可选,默认false.自动上拉加载一次
	      contentrefresh : "正在加载...",//可选，正在加载状态时，上拉加载控件上显示的标题内容
	      contentnomore:'没有更多数据了',//可选，请求完毕若没有更多数据时显示的提醒内容；
	      callback :pullupRefresh //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
	    }
	}
});

/**
 * 上拉加载具体业务实现
 */
var page = 0;
function pullupRefresh() {
var pageCount = parseInt(mui('#pageCount')[0].value);

    setTimeout(function() {
        mui('#list').pullRefresh().endPullupToRefresh((++page >=pageCount)); //参数为true代表没有更多数据了。
        ajax_data(page,true)


    }, 200);
}
function ajax_data(page,first){
	mui.ajax(BASE_URL+'article/article_list_hjson',{
			            data:{
			                page:page
			            },
			            dataType:'json',//服务器返回json格式数据
			            type:'get',//HTTP请求类型
			            timeout:10000,//超时时间设置为10秒；
			            headers:{'Content-Type':'application/x-www-form-urlencoded'},
			            success:function(data){
			            	plus.nativeUI.closeWaiting();
			                var table = document.body.querySelector('.article-list.mui-table-view.show-home-article');
			                if(data['success'] == 1 && data['data']['articles'].length > 0){
			                    var articles = data['data']['articles'];
			                    if(first){
			                    	mui('#pageCount')[0].value =  data['data']['pageCount'];
			                    }
			                    mui.each(articles,function(i,t){
			                        var li = document.createElement('li');
			                        li.className = 'mui-table-view-cell mui-media';
			                        var cname = '',cClass='';
			                        if(t.caid == 5){
			                            cname = '新闻';
			                            cClass ='mui-badge-primary'
			                        }else if (t.caid == 52){
			                            cname = '原创';
			                            cClass ='mui-badge-danger'
			                        }else if (t.caid == 55){
			                            cname = '话题';
			                            cClass ='mui-badge-purple'
			                        }
			                        li.innerHTML = '<a  data-param="aid:'+t['aid']+'" title="'+t['subject']+'" href="pages/article/detail.html?aid='+t['aid']+'">'+
			                            '<img class="mui-media-object mui-pull-left" src="'+IMAGES_URL +t['thumb']+'?x-oss-process=image/resize,m_fixed,h_180,w_300" alt="'+t['subject']+'"/>'+
			                            '<div class="artcil-item-con mui-media-body">'+
			                            '<p class="text-dark font-size1">'+t['subject']+'</p>'+
			                            '<p class="article-item-bottom font-size2">'+
			                            '<span class="mui-badge font-size2 '+cClass+'">'+cname+'</span>'+
			
			                            '<span class="article-author font-size2">作者:'+t['author']+'</span>'+
			                            '<span class="article-timer font-size2">'+getLocalTime(t['createdate'])+'</span>'+
			                            '</p>'+
			                            '</div>'+
			                            '</a>';
			                        table.appendChild(li);
			                    })
			                }
			            },
			            error:function(xhr,type,errorThrown){
			                //异常处理；
			                console.log(type);
			            }
			        });
}

var aniShow = "pop-in";

var _self;

function getJson() {
	plus.nativeUI.showWaiting();
	console.log('获取数据开始');
	mui.ajax(BASE_URL + 'yihaocar/index_json', {
		data: {},
		dataType: 'json', //服务器返回json格式数据
		type: 'get', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		headers: {
			'Content-Type': 'application/json'
		},
		success: function(data) {
			console.log('获取数据结束')
			//服务器返回响应，根据响应结果，分析是否登录成功；
			if(data.success == 1) {
				plus.nativeUI.closeWaiting();
				var result = data.data;
				mui('title')[0].innerHTML = result['title'];
				var focus_img = result['focus_img'];
				//轮播图
				if(focus_img) {

					var focus_img_len = focus_img.length;

					var links_last_img = focus_img[focus_img_len - 1]['link'],
						link_last_c = '';
					if(links_last_img) {
						var links_last_arr = links_last_img.split('/');
						var links_last_aids = links_last_arr[links_last_arr.length - 1].split('.'),
							links_last_aid = links_last_aids[0];
						if(links_last_arr.indexOf('article') > -1 && links_last_arr.indexOf('news') > -1) {
							link_last_c = 'article';
						} else if(links_last_arr.indexOf('video') > -1 && links_last_arr.indexOf('content') > -1) {
							link_last_c = 'videos';
						} else if(links_last_arr.indexOf('video') > -1 && links_last_arr.indexOf('video_live') > -1) {
							link_last_c = 'videos';
							link_aid = 'video_live'
						} else if(links_last_arr.indexOf('evaluate_detail') > -1 && links_last_arr.indexOf('detail') > -1) {
							link_last_c = 'evaluate';
						}
					}

					var focus_html = '<div class="mui-slider-item mui-slider-item-duplicate"><a  data-param="aid:' + links_last_aid + '" href="pages/' + link_last_c + '/detail.html"    title="' + focus_img[focus_img_len - 1]['subject'] + '"><img  alt="' + focus_img[focus_img_len - 1]['subject'] + '" src="' + (focus_img[focus_img_len - 1]['image_mobile'] ? IMAGES_URL + focus_img[focus_img_len - 1]['image_mobile'] : IMAGES_URL + focus_img[focus_img_len - 1]['image']) + '"></a></div>';
					//	                        var focus_html = '';
					mui.each(focus_img, function(i, t) {
						var links_img = t['link'],
							link_c = '';
						if(links_img) {
							var link_arr = links_img.split('/');
							var link_aids = link_arr[link_arr.length - 1].split('.'),
								link_aid = link_aids[0];
							if(link_arr.indexOf('article') > -1 && link_arr.indexOf('news') > -1) {
								link_c = 'article';
							} else if(link_arr.indexOf('video') > -1 && link_arr.indexOf('content') > -1) {
								link_c = 'videos';
							} else if(link_arr.indexOf('video') > -1 && link_arr.indexOf('video_live') > -1) {
								link_c = 'videos';
								link_aid = 'video_live'
							} else if(link_arr.indexOf('evaluate_detail') > -1 && link_arr.indexOf('detail') > -1) {
								link_c = 'evaluate';
							}
						}
						focus_html += '<div class="mui-slider-item"><a data-param="aid:' + link_aid + '" href="pages/' + link_c + '/detail.html"    title="' + t['subject'] + '"><img  alt="' + t['subject'] + '" src="' + (t['image_mobile'] ? IMAGES_URL + t['image_mobile'] : IMAGES_URL + t['image']) + '"></a></div>';
					})
					var links_last_img = focus_img[0]['link'],
						link_last_c = '';
					if(links_last_img) {
						var links_last_arr = links_last_img.split('/');
						var links_last_aids = links_last_arr[links_last_arr.length - 1].split('.'),
							links_last_aid = links_last_aids[0];
						if(links_last_arr.indexOf('article') > -1 && links_last_arr.indexOf('news') > -1) {
							link_last_c = 'article';
						} else if(links_last_arr.indexOf('video') > -1 && links_last_arr.indexOf('content') > -1) {
							link_last_c = 'videos';
						} else if(links_last_arr.indexOf('video') > -1 && links_last_arr.indexOf('video_live') > -1) {
							link_last_c = 'videos';
							link_aid = 'video_live'
						} else if(links_last_arr.indexOf('evaluate_detail') > -1 && links_last_arr.indexOf('detail') > -1) {
							link_last_c = 'evaluate';
						}
					}

					focus_html += '<div class="mui-slider-item mui-slider-item-duplicate"><a   data-param="aid:' + links_last_aid + '" href="pages/' + link_last_c + '/detail.html"  title="' + focus_img[0]['subject'] + '"><img  alt="' + focus_img[0]['subject'] + '" src="' + (focus_img[0]['image_mobile'] ? IMAGES_URL + focus_img[0]['image_mobile'] : IMAGES_URL + focus_img[0]['image']) + '"></a></div>';
					mui('.focus-images .mui-slider-group.mui-slider-loop')[0].innerHTML = focus_html;

					var focus_indicator = '';
					for(var ii = 0; ii < focus_img_len; ii++) {
						if(ii == 0) {
							focus_indicator += '<div class="mui-indicator  mui-active"></div>';
						} else {
							focus_indicator += '<div class="mui-indicator"></div>';
						}

					}
					mui('.focus-images .mui-slider-indicator')[0].innerHTML = focus_indicator;
					var gallery = mui('#focusslider');
					gallery.slider({
						interval: 3000 //自动轮播周期，若为0则不自动播放，默认为0；
					});
				}

				//导航
				var main_nav = result['main_nav'];
				var main_nav_html = '';
				if(main_nav) {
					mui.each(main_nav, function(i, t) {
						if(t['isAds']) {
							main_nav_html += '<a href="javascript" data-title="' + t['title'] + '" data-aid="' + t['aid'] + '" data-ads="' + t['ads_url'] + '" ><i class="' + t['className'] + '"></i><span>' + t['name'] + '</span></a>'
						} else {
							var param = '',
								wid = '';
							if('caid' in t) {
								param = "data-param='caid:" + t['caid'] + "'"
							} else if('wid' in t) {
								wid = "data-wid='" + t['wid'] + "'";
							}
							main_nav_html += '<a href="' + t['url'] + '" ' + param + wid + '><i class="' + t['className'] + '"></i><span>' + t['name'] + '</span></a>'

						}

					});
					console.log(main_nav_html)
					mui('#home_nav_box')[0].innerHTML = main_nav_html;
				}

				//新闻
				var article_list = result['push_jctj'];
				if(article_list) {
					var artcile_html = '';
					var artcile_html2 = '';
					mui.each(article_list, function(i, t) {
						var cate_article2 = '';
						
						if(t['caid'] == 5){
			                            cate_article2 = '新闻';
								cClass = 'mui-badge-primary'
			                        }else if (t['caid'] == 52){
			                          cate_article2 = '原创';
								cClass = 'mui-badge-danger'
			                        }else if (t['caid'] == 55){
			                           cate_article2 = '话题';
								cClass = 'mui-badge-purple'
			                        }
						if(i < 3) {
							artcile_html += '<li class="mui-table-view-cell mui-media">' +
								'<a data-param="aid:' + t['aid'] + '"  title="' + t['subject'] + '"  href="pages/article/detail.html?aid=' + t['aid'] + '">' +
								'<img class="img-size mui-media-object mui-pull-right" src="' + IMAGES_URL + t['thumb'] + '?x-oss-process=image/resize,m_fixed,h_240,w_360" alt="' + t['subject'] + '"/>' +
								'<div class="artcil-item-con mui-media-body">' +
								'<p class="text-dark font-size1">' + t['subject'] + '</p>' +
								'<p class="article-item-bottom font-size2"><span class="mui-badge '+cClass+' font-size2">' + cate_article2 + '</span><span class="article-author font-size2">作者:' + t['author'] + '</span><span class="font-size2 article-timer">' + getLocalTime(t['createdate']) + '</span></p></div></a></li>'
						} else {
							artcile_html2 += '<li class="mui-table-view-cell mui-media">' +
								'<a data-param="aid:' + t['aid'] + '"  title="' + t['subject'] + '"  href="pages/article/detail.html?aid=' + t['aid'] + '">' +
								'<img class="img-size mui-media-object mui-pull-right" src="' + IMAGES_URL + t['thumb'] + '?x-oss-process=image/resize,m_fixed,h_240,w_360" alt="' + t['subject'] + '"/>' +
								'<div class="artcil-item-con mui-media-body">' +
								'<p class="text-dark font-size1">' + t['subject'] + '</p>' +
								'<p class="article-item-bottom font-size2"><span class="mui-badge '+cClass+' font-size2">' + cate_article2 + '</span><span class="article-author font-size2">作者:' + t['author'] + '</span><span class="font-size2 article-timer">' + getLocalTime(t['createdate']) + '</span></p></div></a></li>'
						}

					});
					mui('ul.article-list-info')[0].innerHTML = artcile_html;
					mui('ul.article-list-evaluate')[0].innerHTML = artcile_html2;
				}

				//评测
				/*var evaluate_list = result['push_pc'];
				if(evaluate_list) {
					var evaluate_html = '';
					mui.each(evaluate_list, function(i, t) {
						var cate_article = '';
						switch(t['caid']) {
							case 804:
								cate_evaluate = '动态评测';
								break;
							case 803:
								cate_evaluate = '静态评测';
								break;
							case 805:
								cate_evaluate = '对比点评';
								break;
							default:
								cate_evaluate = '动态评测';
						}

						evaluate_html += '<li class="mui-table-view-cell mui-media">' +
							'<a data-param="aid:' + t['aid'] + '" title="' + (t['subject'] ? t['subject'] : t['fubiaoti']) + '"  href="pages/evaluate/detail.html?aid=' + t['aid'] + '">' +
							'<img class="mui-media-object mui-pull-left" src="' + IMAGES_URL + t['thumb'] + '?x-oss-process=image/resize,m_fixed,h_180,w_300" alt="' + (t['subject'] ? t['subject'] : t['fubiaoti']) + '"/>' +
							'<div class="artcil-item-con mui-media-body">' +
							'<p class="text-dark font-size1">' + (t['subject'] ? t['subject'] : t['fubiaoti']) + '</p>' +
							'<p class="article-item-bottom font-size2"><span class="mui-badge mui-badge-primary font-size2">' + (cate_evaluate) + '</span><span class="article-author font-size2">作者:' + t['author'] + '</span><span class="article-timer font-size2">' + getLocalTime(t['createdate']) + '</span></p></div></a></li>'
					});
					mui('ul.article-list-evaluate')[0].innerHTML = evaluate_html;
				}*/
				//推荐视频
				var live_char = result['live_char'];
				var ads_bz1057 = '';
				if('bz1057' in result){
					var bz1057 = result['bz1057'][0];
					
					ads_bz1057 = '<li class="mui-table-view-cell mui-media mui-col-xs-12"><a href="javascript" data-title="' + bz1057['subject'] + '" data-aid="' + bz1057['aid'] + '" data-ads="' + bz1057['link'] + '" ><img src="'+IMAGES_URL+bz1057['image_mobile']+'" style="width:100%;display:block;margin:10px 0;max-width:100%;padding:0" /></a></li>'
					console.log(ads_bz1057)
				}
				if(live_char) {
					var live_char_len = live_char.length;

					var video_links1 = live_char[0]['url'].split('/'),
						video_link1 = video_links1[video_links1.length - 1].split('.')[0];
					var video_links2 = live_char[1]['url'].split('/'),
						video_link2 = video_links2[video_links1.length - 1].split('.')[0];
					if(live_char_len > 1) {
						live_char_html2 = '<li class="mui-table-view-cell mui-media mui-col-xs-12">' +
							'<a title="' + live_char[1]['subject'] + '" class="open-link car-video-item" data-param="aid:' + video_link2 + '"   href="pages/videos/detail.html">' +
							'<div  class="mui-media-object home-mui-media-object" style="background: url(' + IMAGES_URL + live_char[1]['thumb'] + ') 50% 50% no-repeat;background-size: 100% auto;padding-bottom:33.3%">' +
							'<div class="mui-media-body mui-ellipsis font-size1">' + live_char[1]['subject'] + '</div><div class="main-plyer-icon"></div></div></a></li>';
						mui("#live_char_2")[0].innerHTML = live_char_html2;
					}
					if(ads_bz1057){
						mui("#live_char_1")[0].innerHTML = ads_bz1057;
					}else{
						live_char_html1 = '<li class="mui-table-view-cell mui-media mui-col-xs-12">' +
						'<a title="' + live_char[0]['subject'] + '" class="open-link car-video-item"data-param="aid:' + video_link1 + '"   href="pages/videos/detail.html">' +
						'<div  class="mui-media-object home-mui-media-object" style="background: url(' + IMAGES_URL + live_char[0]['thumb'] + ') 50% 50% no-repeat;background-size: 100% auto;padding-bottom:33.3%">' +
						'<div class="mui-media-body mui-ellipsis font-size1">' + live_char[0]['subject'] + '</div><div class="main-plyer-icon"></div></div></a></li>';
					mui("#live_char_1")[0].innerHTML = live_char_html1;
					}
					
				}
				cloaseWaitingBg()
			}

		},
		error: function(xhr, type, errorThrown) {
			//异常处理；
			plus.nativeUI.closeWaiting();
			mui.toast("网络异常");
		}
	});
}

var version_app;

function sleep(numberMillis) {
	var now = new Date();
	var exitTime = now.getTime() + numberMillis;
	while(true) {
		now = new Date();
		if(now.getTime() > exitTime)
			return;
	}
}

function versionCheck() {
	setTimeout(function() {
		plus.runtime.getProperty(plus.runtime.appid, function(inf) {
			version_app = inf.version;
			var url = BASE_URL + 'version/get_version';
			var client;
			var ua = navigator.userAgent.toLowerCase();
			if(/iphone|ipad|ipod/.test(ua)) { //苹果手机         
				console.log('apple')
				mui.ajax({
					type: "get",
					dataType: 'json',
					url: "https://itunes.apple.com/lookup?id=1340043866", //获取当前上架APPStore版本信息
					data: {
						id: 1340043866 //APP唯一标识ID
					},
					contentType: 'application/x-www-form-urlencoded;charset=UTF-8',
					success: function(data) {
						if(data['results'][0]['version']) {
							if(data['results'][0]['version'] > version_app) {

								mui.confirm("发现新版本:V" + data['results'][0]['version'], '版本更新', function(e) {
									if(e.index == 1) {
										document.location.href = 'https://itunes.apple.com/cn/app/san-gu-hui/id1340043866?mt=8'; //上新APPStore下载地址
									}

								})

							}
						}
						return;
					}
				});
			}
			if(/android/.test(ua)) {
				mui.ajax(url, {
					data: {
						apkVersion: version_app,
					},
					dataType: 'json',
					type: 'GET',
					timeout: 10000,
					success: function(data) {
						if(data.success) {
							//		                    	console.log(JSON.stringify(data));
							mui.confirm("发现新版本:V" + data.apkVersion, '版本更新', function(e) {
								if(e.index == 1) {
									plus.nativeUI.showWaiting("文件下载中，请稍后！");
									var dtask = plus.downloader.createDownload(data.apkUrl, {}, function(d, status) {
										if(status == 200) {
											//			                                plus.nativeUI.toast("正在准备环境，请稍后！");
											sleep(1000);
											plus.nativeUI.closeWaiting();
											var path = d.filename; //下载apk
											plus.runtime.install(path); // 自动安装apk文件
										} else {
											//			                                mui.alert('版本更新失败:' + status);
										}
									});
									dtask.start();
								}

							})

						} else {
							//		            		console.log('当前版本号已是最新');
							return;
						}
					},
					error: function(xhr, type, errerThrown) {
						mui.toast('网络异常,请稍候再试');
					}
				});

			}
		})
	}, 2000)
}
mui.plusReady(function() {

	_self = plus.webview.currentWebview();
	getJson();
	versionCheck();
})

var _toast = false;

mui.back = function() {
	if(typeof adspage != 'undefined' && adspage.isVisible()) {
		adspage.hide();
	} else {
		if(parseInt(_self.getStyle().left) > 0) {
			//					closeMenu();
			return;
		}

		if(!_toast || !_toast.isVisible()) {
			_toast = mui.toast('再按一次返回键退出', {
				duration: 'long',
				type: 'div'
			});
		} else {
			plus.runtime.quit();
		}
	}

}